package com.jiuqi.util.biff;

import com.jiuqi.util.Stream;
import com.jiuqi.util.StreamException;

/* loaded from: com_jiuqi_util_biff.jar:com/jiuqi/util/biff/BIFFReader.class */
public class BIFFReader extends BIFFFiler {
    private int headSize;

    public BIFFReader() {
        this.headSize = 0;
    }

    public BIFFReader(Stream stream) {
        super(stream);
        this.headSize = 0;
    }

    public int getHeadSize() {
        return this.headSize;
    }

    public void setHeadSize(int value) {
        this.headSize = value;
    }

    public void first() throws StreamException {
        this.stream.setPosition(this.headSize);
        next();
    }

    public void next() throws StreamException {
        if (this.stream.getPosition() >= this.stream.getSize()) {
            this.biff.reset(this.eofSign);
            return;
        }
        byte sign = this.stream.read();
        int size = this.stream.readInt();
        this.biff.reset(sign);
        if (size > 0) {
            this.biff.getData().copyFrom(this.stream, size);
            this.biff.getData().setPosition(0L);
        }
    }

    public boolean getEOF() {
        return this.biff.getSign() == this.eofSign;
    }
}
